# node-scribd-client [![Build Status](https://secure.travis-ci.org/jsturgis/node-scribd-client.png?branch=master)](http://travis-ci.org/jsturgis/node-scribd-client)

an unofficial nodejs client for the scribd platform API

## Getting Started
Install the module with: `npm install node-scribd-client`

## Documentation
###This client supports the full set of scribd APIs and API signing for all requests.
####[Docs Are Here](http://jsturgis.github.io/node-scribd-client/module-node-scribd-client-Scribd.html)
*see [Scribd API Docs](http://www.scribd.com/developers/platform/api) for more information

## Testing
```shell
npm test
```

## Examples
```javascript
var Scribd = require('node-scribd-client'),
	scribdApiKey = "YOUR-API-KEY",
	scribdSecret = "YOUR-SECRET",
	scribd = new Scribd(scribdApiKey, scribdSecret),
	docId = '159857500',
	params = {doc_id: docId};

scribd.getConversionStatus(params, function(err, resp){
	console.log(resp);
});
```

## Contributing
Any bugs, changes or suggestions let me know and submit a pull request.

## License
Copyright (c) 2013 Jeff Sturgis
Licensed under the MIT license.
